Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "515014d3-9e7e-4afe-9885-61e7271cbcf4",
"date_start": "2026-11-14T09:52:05.9702965+00:00",
"date_end": "2026-11-14T09:52:05.9702965+00:00",
"modified_dateutc": "2026-11-14T09:52:05.9702965+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "df655705-3c01-457e-a005-4dc58633f28b",
"user_code": "sample string 8",
"user": {
"id": "a7d0c175-1653-4e5d-85be-3afb1d71a6e3",
"db_language_id": "0d8fae2d-e0cf-4cdf-847a-1211d5bdaa21",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-14T09:52:05.9873312+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "c55abaa0-9862-44a5-b50f-1f02f3497e4b",
"sales_organization": {
"id": "04311526-70ed-439d-b3d2-27df09a14155",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1a01bdc4-2689-4afb-b87f-f4c060b1265f",
"db_currency_id": "5f02cbb1-4dd4-45fd-b697-6447e0bfaedb",
"db_language_id": "3fde8a53-1d58-4f11-9d27-b9f11b2f44c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T09:52:05.9873312+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "b53891b5-c96f-4db2-93a3-fcb7b2bd56be",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "214264c8-7e5e-4235-95bf-560f012d1209",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-14T09:52:05.9873312+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "7a9857ee-ce39-4a23-a787-487cebf7c754"
},
"user_unavailability_type_id": "4856b728-3701-4fc6-b216-efa690ee1cd2",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "aa6ccc52-ae83-4cf5-b50c-3ce9e5a9b8ed",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "3a819eb1-2ca2-4072-a88b-462855a7e0f9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "04311526-70ed-439d-b3d2-27df09a14155",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1a01bdc4-2689-4afb-b87f-f4c060b1265f",
"db_currency_id": "5f02cbb1-4dd4-45fd-b697-6447e0bfaedb",
"db_language_id": "3fde8a53-1d58-4f11-9d27-b9f11b2f44c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T09:52:05.9873312+00:00"
},
"modified_dateutc": "2026-11-14T09:52:05.9873312+00:00"
}
}